slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetOptionsPrefix

Gets the prefix used for searching for all ST options in the database.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetOptionsPrefix(ST st,const char *prefix[])

Not Collective

### Input Parameters

| st | - the spectral transformation context

### Output Parameters

| prefix | - pointer to the prefix string used, is returned

### Note

On the Fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

STSetOptionsPrefix(), STAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages